[**@rxap/forms v19.0.4**](../README.md)

***

[@rxap/forms](../globals.md) / markAllDirty

# Function: markAllDirty()

> **markAllDirty**\<`T`\>(`control`): `void`

Defined in: [packages/angular/forms/src/lib/control-actions.ts:146](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/control-actions.ts#L146)

## Type Parameters

• **T**

## Parameters

### control

[`RxapFormArray`](../classes/RxapFormArray.md)\<`T`, `any`, `any`\> | [`RxapFormGroup`](../classes/RxapFormGroup.md)\<`T`, `any`\>

## Returns

`void`
